## org.eclipse.emf.cdo.util
Interface CDOEvent

All Superinterfaces:
  org.eclipse.net4j.util.event.IEvent

All Known Subinterfaces:
  CDORemoteSessionEvent, CDORemoteSessionEvent.CustomData, CDORemoteSessionEvent.SubscriptionChanged, CDOSession.Options.CollectionLoadingPolicyEvent, CDOSession.Options.GeneratedPackageEmulationEvent, CDOSession.Options.PassiveUpdateEvent, CDOSession.Options.RevisionFactoryEvent, CDOSessionEvent, CDOSessionInvalidationEvent, CDOTransaction.Options.AutoReleaseLockEvent, CDOTransaction.Options.ConflictResolversEvent, CDOTransactionConflictEvent, CDOTransactionFinishedEvent, CDOTransactionStartedEvent, CDOView.Options.CacheReferenceTypeEvent, CDOView.Options.ChangeSubscriptionPoliciesEvent, CDOView.Options.InvalidationNotificationEvent, CDOView.Options.ReferencePolicyEvent, CDOView.Options.RevisionPrefetchingPolicyEvent, CDOViewEvent, CDOViewInvalidationEvent, CDOViewResourcesEvent

    public interface CDOEvent

extends org.eclipse.net4j.util.event.IEvent

A marker interface for all `events` sent by CDO client facilities, like `sessions`, `views`, `transactions` and others.

Since:
  2.0

Method Summary

Methods inherited from interface org.eclipse.net4j.util.event.IEvent
`getSource`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.